#line 1 "D:/Electronics/PIC18F4550_LCD_fun_01/sw/lcd_interfacing.c"
#line 1 "d:/electronics/pic18f4550_lcd_fun_01/sw/lcd_interfacing.h"
sbit LCD_RS at RC0_bit;
sbit LCD_RW at RC1_bit;
sbit LCD_EN at RC2_bit;
#line 14 "d:/electronics/pic18f4550_lcd_fun_01/sw/lcd_interfacing.h"
sbit LCD_BF at RD7_bit;




void LCD_Wait_BF ();
void LCD_Init_LCD ();
void LCD_Write_Command (unsigned char cmd);
void LCD_Write_Data (unsigned char dat);
void LCD_Write_String (unsigned char* str);
#line 3 "D:/Electronics/PIC18F4550_LCD_fun_01/sw/lcd_interfacing.c"
void LCD_Wait_BF ()
{
 TRISD = 0xFF;
 LCD_RS = 0;
 LCD_RW = 1;
 LCD_EN = 1;
 while (LCD_BF)
 {
 LCD_EN = 0;
 LCD_EN = 1;
 }
 LCD_EN = 0;
 TRISD = 0x00;
}

void LCD_Init_LCD ()
{
 LCD_Write_Command(0x34);
 LCD_Write_Command(0x0E);

 LCD_Write_Command(0x06);
 LCD_Write_Command(0x80);

 LCD_Write_Data('M');
}

void LCD_Write_Command (unsigned char cmd)
{
  PORTD  = cmd;
 LCD_RS = 0;
 LCD_RW = 0;
 LCD_EN = 1;
 LCD_EN = 0;

 LCD_Wait_BF();
}

void LCD_Write_Data (unsigned char dat)
{
  PORTD  = dat;
 LCD_RS = 1;
 LCD_RW = 0;
 LCD_EN = 1;
 LCD_EN = 0;

 LCD_Wait_BF();
}

void LCD_Write_String(unsigned char* str)
{
 while (str[0] != '\0')
 {
 LCD_Write_Data(str[0]);
 str++;
 }
}
