#include "lcd_interfacing.h"

void main()
{
    //OSCCON  = 0x72;
    //T1CON   = 0x00;
    CMCON   = 0x07; // deactivate comparators
    ADCON1  = 0x0B; // RA0-RA3: Analog, the rest: Digital, voltage references: Vss and Vdd
    ADCON2 &= 0x80; // Adc_read() will return a right-justified binary value
    
    // Input
    TRISA |= 0x0F;  // Analog: RA0-RA3: In
    TRISB = 0x0F;   // Digital buttons: RB4-RB7: Out, RB0-RB3: In
    // Output
    TRISC &= 0x00;  // LCD Command: RC0-RC2: Out
    TRISD = 0x00;   // LCD Data: RD0-RD7: Out [some functions, like LCD_Wait_BF()
                    // might need RD0-RD7: In, but they restore it Out when finished]
    // Misc
    //TRISE |= 0x07;   // we could use it later, I don't know...
    
    LCD_Init_LCD();
}